import ReactDOM from 'react-dom/client'
import { BrowserRouter, Route, Routes } from 'react-router-dom'
import BurgerBuilder from './containers/BurgerBuilder/BurgerBuilder'
import CheckoutSummary from './containers/CheckoutSummary/CheckoutSummary'
import './index.css'

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  <BrowserRouter>
    <Routes>
      <Route path='/' element={<BurgerBuilder />}/>
      <Route path='/checkout' element={<CheckoutSummary />}>
        <Route index element={<h1>I am product</h1>}/>
        <Route element={<h1>I am contact</h1>}/>
      </Route>
    </Routes>
  </BrowserRouter>
)
